summaryrefslogtreecommitdiffstats
path: root/autotest-external.sh
diff options
context:
space:
mode:
authorJoas Schilling <coding@schilljs.com>2023-04-21 15:57:29 +0200
committerJoas Schilling <coding@schilljs.com>2023-04-21 15:59:10 +0200
commit3294bbe3bb73f6e5089fc0f3b95a28ffca7d1faa (patch)
treee026ee16e680d6388b1a847e8a7800b4021b1155 /autotest-external.sh
parentdd3d689e04a5e1d558da937ca72980e0e2c7c404 (diff)
downloadnextcloud-server-3294bbe3bb73f6e5089fc0f3b95a28ffca7d1faa.tar.gz
nextcloud-server-3294bbe3bb73f6e5089fc0f3b95a28ffca7d1faa.zip
fix(autotest): Fix PHPUNIT version check in autotest files
Signed-off-by: Joas Schilling <coding@schilljs.com>
Diffstat (limited to 'autotest-external.sh')
-rwxr-xr-xautotest-external.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/autotest-external.sh b/autotest-external.sh
index a541a5cf937..bc40e2474cd 100755
--- a/autotest-external.sh
+++ b/autotest-external.sh
@@ -39,8 +39,8 @@ PHPUNIT_VERSION=$("$PHPUNIT" --version | cut -d" " -f2)
PHPUNIT_MAJOR_VERSION=$(echo $PHPUNIT_VERSION | cut -d"." -f1)
PHPUNIT_MINOR_VERSION=$(echo $PHPUNIT_VERSION | cut -d"." -f2)
-if ! [ $PHPUNIT_MAJOR_VERSION -gt 4 -o \( $PHPUNIT_MAJOR_VERSION -eq 4 -a $PHPUNIT_MINOR_VERSION -ge 8 \) ]; then
- echo "phpunit version >= 4.8 required. Version found: $PHPUNIT_VERSION" >&2
+if ! [ $PHPUNIT_MAJOR_VERSION -gt 9 -o \( $PHPUNIT_MAJOR_VERSION -eq 9 -a $PHPUNIT_MINOR_VERSION -ge 0 \) ]; then
+ echo "phpunit version >= 9.0 required. Version found: $PHPUNIT_VERSION" >&2
exit 4
fi